summaryrefslogtreecommitdiff
path: root/init.d/loopback.in
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2013-04-08 12:46:51 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2013-04-08 12:46:51 -0500
commit56f1752ce1899c455b9e97ac73da9bd68fbab2b9 (patch)
tree0b03782d3383ec913f99e9226b01050aee624d7c /init.d/loopback.in
parent9314ac64ead736c3e2b0d990a8b7030c16013993 (diff)
downloadopenrc-56f1752ce1899c455b9e97ac73da9bd68fbab2b9.tar.gz
openrc-56f1752ce1899c455b9e97ac73da9bd68fbab2b9.tar.bz2
openrc-56f1752ce1899c455b9e97ac73da9bd68fbab2b9.tar.xz
create loopback service
The loopback service handles the basic settings for the loopback interface, regardless of the network manager you are using.
Diffstat (limited to 'init.d/loopback.in')
-rw-r--r--init.d/loopback.in35
1 files changed, 35 insertions, 0 deletions
diff --git a/init.d/loopback.in b/init.d/loopback.in
new file mode 100644
index 0000000..e5cc118
--- /dev/null
+++ b/init.d/loopback.in
@@ -0,0 +1,35 @@
+#!@SBINDIR@/runscript
+# Copyright (c) 2013 William Hubbs <w.d.hubbs@gmail.com>
+# Released under the 2-clause BSD license.
+
+description="Configures the loopback interface."
+
+depend()
+{
+ return 0
+}
+
+start()
+{
+ if [ "$RC_UNAME" = Linux ]; then
+ ebegin "Bringing up network interface lo"
+ if type ip > /dev/null 2>&1; then
+ ip addr add 127.0.0.1/8 dev lo brd + scope host
+ ip route add 127.0.0.0/8 dev lo scope host
+ ip link set lo up
+ else
+ ifconfig lo 127.0.0.1 netmask 255.0.0.0
+ route add -net 127.0.0.0 netmask 255.0.0.0 gw 127.0.0.1
+ fi
+ else
+ ebegin "Bringing up network interface lo0"
+ ifconfig lo0 127.0.0.1 netmask 255.0.0.0
+ route -q add -inet 127.0.0.0 -netmask 255.0.0.0 127.0.0.1
+ fi
+ eend $?
+}
+
+stop()
+{
+ return 0
+}